For the complete documentation index, see llms.txt. This page is also available as Markdown.

List stores

List all stores.

get
/tenants/{tenantUid}/stores
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
storeExternalIdstringOptional

External reference to a store.

storeNamestringOptional

Reference to the name of a store.

pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
storeOrganizationUidstringOptional

Reference to an organization uid.

Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores
GET /v2/tenants/{tenantUid}/stores HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "address": "text",
      "city": "text",
      "countryCode": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "defaultWarehouseUid": "text",
      "defaultReturnWarehouseUid": "text",
      "defaultDeliveryWarehouseUid": "text",
      "email": "text",
      "externalId": "text",
      "isActive": true,
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "latitude": 1,
      "longitude": 1,
      "name": "text",
      "postalCode": "text",
      "phone": "text",
      "purchaseNumberSeriesUid": "text",
      "internalPurchaseNumberSeriesUid": "text",
      "rmaOrderNumberSeriesUid": "text",
      "customerLedgerNumberSeriesUid": "text",
      "quicksaleCategoryUid": "text",
      "receiptMessage": "text",
      "emailReceiptMessage": "text",
      "exchangenoteMessage": "text",
      "exchangenoteValidDays": 1,
      "salesPriceUid": "text",
      "purchasePriceListUid": "text",
      "appSettings": {
        "hidePurchase": true,
        "hideReceivement": true,
        "enableUnlinkedPayments": true,
        "requireGtinScanBeforeDeliverOut": true
      },
      "storeUid": "text",
      "vatNumber": "text",
      "voucherNumberSeriesUid": "text",
      "serviceNumberSeriesUid": "text",
      "hasWorkShop": true,
      "organizationUid": "text",
      "availableExtensions": [
        {
          "extensionCode": "FLOWGIFTCARD",
          "name": "text"
        }
      ],
      "openingHours": {
        "monday": "text",
        "tuesday": "text",
        "wednesday": "text",
        "thursday": "text",
        "friday": "text",
        "saturday": "text",
        "sunday": "text",
        "note": "text"
      },
      "bankInfo": {
        "accountNumber": "text",
        "bankName": "text",
        "iban": "text",
        "swift": "text",
        "giroAccountNumber": "text"
      },
      "websiteUrl": "text",
      "invoiceFooterText": "text",
      "labelComparisonPricelistUid": "text",
      "addresses": [
        {
          "storeAddressUid": "text",
          "companyName": "text",
          "vatNumber": "text",
          "address": "text",
          "postalCode": "text",
          "city": "text",
          "countryCode": "text",
          "email": "text",
          "phone": "text",
          "type": "PURCHASE_INVOICE_ADDRESS",
          "default": true,
          "createdBy": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z"
        }
      ],
      "enableStoreCashReconciliation": true,
      "cashReconciliationCutOffTime": "00:00:00",
      "logoAssetUid": "text",
      "representingCustomerUid": "text",
      "representingSupplierUid": "text",
      "fiscal": {
        "locationId": "text",
        "locationState": ""
      }
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?